HttpRequest::getUrl
HttpRequest::send
The HttpRequest
PHP Manual

# HttpRequest::resetCookies

(PECL pecl_http:1.0.0-1.5.5)

HttpRequest::resetCookies — Reset cookies

### Description

public bool HttpRequest::resetCookies ([ bool `$session_only = FALSE` ] )

Reset all automatically received/sent cookies.

> Note: Note that customly set cookies are not affected.

### Parameters

`session_only`

  whether only session cookies should be reset (needs libcurl >= v7.15.4, else libcurl >= v7.14.1)

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

HttpRequest::getUrl
HttpRequest::send
The HttpRequest
PHP Manual